  body {
      font-family: Arial, sans-serif;
      margin: 0;
      padding: 20px;
      background-color: #f4f4f4;
  }

  .gallery {
      display: grid;
      grid-template-columns: repeat(6, minmax(450px, 1fr));
      gap: 4rem;
      height: auto;
      overflow: scroll;
  }

  .thumbnail {
      position: relative;
      cursor: pointer;
      transition: transform 0.3s ease;
      width: 100%;
      overflow: scroll;
  }

  .thumbnail:hover {
      transform: scale(1.05);
  }

  .thumbnail img {
      width: 100%;
      height: auto;
      object-fit: cover;
  }

  /* Modal styles */
  .modal {
      display: none;
      position: fixed;
      z-index: 1000;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      overflow: auto;
      background-color: rgba(0, 0, 0, 0.8);
      justify-content: center;
      align-items: center;
  }

  .modal-content {
      max-width: 90%;
      max-height: 90%;
      position: relative;
      animation: scaleUp 0.3s ease forwards;
  }

  .modal-content img {
      max-width: 100%;
      max-height: 90vh;
      object-fit: contain;
  }

  .close {
      position: absolute;
      top: -40px;
      right: 0;
      color: white;
      font-size: 35px;
      font-weight: bold;
      cursor: pointer;
  }

  @keyframes scaleUp {
      from {
          transform: scale(0);
          opacity: 0;
      }

      to {
          transform: scale(1);
          opacity: 1;
      }
  }


  @media (max-width: 767px) {

      .gallery {
          display: grid;
          grid-template-columns: repeat(6, minmax(250px, 1fr));
          gap: 1rem;
          margin: 0 auto;
          overflow-x: auto;
      }

      .thumbnail {}


  }